BizKitHub
DocsAPI ReferenceBff/bff/shipment/create
postBffAdmin BFF

/bff/shipment/create

No description provided.

bffpostBffShipmentCreate

Parameters

JSON body

Request body

application/json
orderExternalIdstringRequired
carrierConfigurationExternalIdstringRequired
clientRequestIdstringOptional
weightGnumberRequired
Range: 1–∞
lengthMmnumberOptional
widthMmnumberOptional
heightMmnumberOptional
serviceCodestringOptional
serviceOptionsobjectOptional
codAmountCentsnumberOptional
codCurrencystringOptional

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/shipment/create

post
curl -X POST "https://api.bizkithub.com/bff/shipment/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderExternalId": "example_orderExternalId",
  "carrierConfigurationExternalId": "example_carrierConfigurationExternalId",
  "clientRequestId": "example_clientRequestId",
  "weightG": 0,
  "lengthMm": 0,
  "widthMm": 0,
  "heightMm": 0,
  "serviceCode": "example_serviceCode",
  "serviceOptions": {},
  "codAmountCents": 0,
  "codCurrency": "example_codCurrency"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key